package Business::TNT::ExpressConnect::SPc;

=head1 NAME

meon::Web::SPc - build-time system path configuration

=cut

use warnings;
use strict;

our $VERSION = '0.02';

use File::Spec;

sub _path_types {qw(
    prefix
    localstatedir
    sysconfdir
    datadir
    cachedir
    logdir
    sharedstatedir
    srvdir
)};

=head1 PATHS

=head2 sysconfdir

=head2 datadir

=head2 cachedir

=head2 logdir

=head2 sharedstatedir

=head2 lockdir

=head2 srvdir

=cut

sub prefix {'/usr'};
sub localstatedir {'/var'};

sub sysconfdir {'/etc'};
sub datadir {'/usr/share'};
sub cachedir {'/var/cache'};
sub logdir {'/var/log'};
sub sharedstatedir {'/var/lib'};
sub lockdir    { File::Spec->catdir(__PACKAGE__->localstatedir, 'lock') };
sub srvdir {'/srv'};

1;
